From 85a0a349faae7d286bd33eed4dc91ebe6b8e217d Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 20 Aug 2024 19:32:26 +0300
Subject: [PATCH 17/17] Add Poyaisian nation

Ruleset by _Rorr404, with minor adjustment by me

See RM #710

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/default/nationlist.ruleset    |   1 +
 data/flags/Makefile.am             |   5 ++
 data/flags/poyais-large.png        | Bin 0 -> 298 bytes
 data/flags/poyais-shield-large.png | Bin 0 -> 280 bytes
 data/flags/poyais-shield.png       | Bin 0 -> 265 bytes
 data/flags/poyais.png              | Bin 0 -> 293 bytes
 data/flags/poyais.svg              |  37 +++++++++++++++
 data/misc/flags-large.spec         |   1 +
 data/misc/flags.spec               |   2 +
 data/misc/shields-large.spec       |   1 +
 data/misc/shields.spec             |   1 +
 data/nation/Makefile.am            |   1 +
 data/nation/poyaisian.ruleset      |  72 +++++++++++++++++++++++++++++
 meson.build                        |   2 +
 14 files changed, 123 insertions(+)
 create mode 100644 data/flags/poyais-large.png
 create mode 100644 data/flags/poyais-shield-large.png
 create mode 100644 data/flags/poyais-shield.png
 create mode 100644 data/flags/poyais.png
 create mode 100644 data/flags/poyais.svg
 create mode 100644 data/nation/poyaisian.ruleset

diff --git a/data/default/nationlist.ruleset b/data/default/nationlist.ruleset
index b7983407c2..043f4902ca 100644
--- a/data/default/nationlist.ruleset
+++ b/data/default/nationlist.ruleset
@@ -526,6 +526,7 @@ default_nationset = "all"
 *include "nation/polynesian.ruleset"
 *include "nation/pontic.ruleset"
 *include "nation/portuguese.ruleset"
+*include "nation/poyaisian.ruleset"
 *include "nation/prussian.ruleset"
 *include "nation/puertorican.ruleset"
 *include "nation/purhepecha.ruleset"
diff --git a/data/flags/Makefile.am b/data/flags/Makefile.am
index 0f23a37643..5a9e88e0e9 100644
--- a/data/flags/Makefile.am
+++ b/data/flags/Makefile.am
@@ -417,6 +417,7 @@ flag_files =				\
 		polynesian.png		\
 		pomerania.png		\
 		portugal.png		\
+		poyais.png		\
 		prusai.png		\
 		prussia.png		\
 		puerto_rico.png		\
@@ -997,6 +998,7 @@ flag_files =				\
 		polynesian-large.png		\
 		pomerania-large.png		\
 		portugal-large.png		\
+		poyais-large.png		\
 		prusai-large.png		\
 		prussia-large.png		\
 		puerto_rico-large.png		\
@@ -1579,6 +1581,7 @@ shield_files =					\
 		polynesian-shield.png		\
 		pomerania-shield.png		\
 		portugal-shield.png		\
+		poyais-shield.png		\
 		prusai-shield.png		\
 		prussia-shield.png		\
 		puerto_rico-shield.png		\
@@ -2159,6 +2162,7 @@ shield_files =					\
 		polynesian-shield-large.png		\
 		pomerania-shield-large.png		\
 		portugal-shield-large.png		\
+		poyais-shield-large.png		\
 		prusai-shield-large.png			\
 		prussia-shield-large.png		\
 		puerto_rico-shield-large.png		\
@@ -2741,6 +2745,7 @@ svg_files = 				\
 		pomerania.svg		\
 		polynesian.svg		\
 		portugal.svg		\
+		poyais.svg		\
 		prusai.svg		\
 		prussia.svg		\
 		puerto_rico.svg		\
diff --git a/data/flags/poyais-large.png b/data/flags/poyais-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..cb5156427fde267fa5279ad4bd02f19b39d01571
GIT binary patch
diff --git a/data/flags/poyais-shield-large.png b/data/flags/poyais-shield-large.png
new file mode 100644
index 0000000000000000000000000000000000000000..edc2363adc6c50bb01044c14659b8d257d497bf5
GIT binary patch
diff --git a/data/flags/poyais-shield.png b/data/flags/poyais-shield.png
new file mode 100644
index 0000000000000000000000000000000000000000..737e5f30ba56beec008769342e984af3e15a8b9c
GIT binary patch
diff --git a/data/flags/poyais.png b/data/flags/poyais.png
new file mode 100644
index 0000000000000000000000000000000000000000..1b3846dda546c7fac7060c5ca12894a554b0ba38
GIT binary patch
diff --git a/data/flags/poyais.svg b/data/flags/poyais.svg
new file mode 100644
index 0000000000..01dca3316a
--- /dev/null
+++ b/data/flags/poyais.svg
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   version="1.0"
+   width="450"
+   height="300"
+   id="svg2">
+  <defs
+     id="defs4" />
+  <g
+     id="layer1">
+    <rect
+       width="450"
+       height="300"
+       x="0"
+       y="0"
+       style="fill:#ffffff;fill-opacity:1"
+       id="rect2160" />
+    <rect
+       width="60"
+       height="300"
+       x="195"
+       y="0"
+       style="fill:#00aa44;fill-opacity:1"
+       id="rect2162" />
+    <rect
+       width="60"
+       height="450"
+       x="120"
+       y="-450"
+       transform="matrix(0,1,-1,0,0,0)"
+       style="fill:#00aa44;fill-opacity:1"
+       id="rect2164" />
+  </g>
+</svg>
diff --git a/data/misc/flags-large.spec b/data/misc/flags-large.spec
index cbe5603033..38d020e0cc 100644
--- a/data/misc/flags-large.spec
+++ b/data/misc/flags-large.spec
@@ -426,6 +426,7 @@ sprites =
 		"f.polynesian", "flags/polynesian-large"
 		"f.pomerania", "flags/pomerania-large"
 		"f.portugal", "flags/portugal-large"
+                "f.poyais", "flags/poyais-large"
 		"f.prusai", "flags/prusai-large"
 		"f.prussia", "flags/prussia-large"
 		"f.puerto_rico", "flags/puerto_rico-large"
diff --git a/data/misc/flags.spec b/data/misc/flags.spec
index 076202b48c..167aa65ddd 100644
--- a/data/misc/flags.spec
+++ b/data/misc/flags.spec
@@ -424,6 +424,7 @@ artists = "
    Polynesian		Daniel Markstedt
    Pomerania		N3MO (Wikipedia)
    Portugal		Diogo Mamede
+   Poyaisian            Zscout370 (Wikimedia Commons)
    Prusai		Daniel Markstedt
    Prussia		Daniel Markstedt
    Puerto Rico		Lauris Kaplinski and J.M. Maalderink
@@ -1007,6 +1008,7 @@ sprites =
 		"f.polynesian", "flags/polynesian"
 		"f.pomerania", "flags/pomerania"
 		"f.portugal", "flags/portugal"
+                "f.poyais", "flags/poyais"
 		"f.prusai", "flags/prusai"
 		"f.prussia", "flags/prussia"
 		"f.puerto_rico", "flags/puerto_rico"
diff --git a/data/misc/shields-large.spec b/data/misc/shields-large.spec
index 8f3feb7db9..2d7f97a4e6 100644
--- a/data/misc/shields-large.spec
+++ b/data/misc/shields-large.spec
@@ -426,6 +426,7 @@ sprites =
 		"f.shield.polynesian", "flags/polynesian-shield-large"
 		"f.shield.pomerania", "flags/pomerania-shield-large"
 		"f.shield.portugal", "flags/portugal-shield-large"
+                "f.shield.poyais", "flags/poyais-shield-large"
 		"f.shield.prusai", "flags/prusai-shield-large"
 		"f.shield.prussia", "flags/prussia-shield-large"
 		"f.shield.puerto_rico", "flags/puerto_rico-shield-large"
diff --git a/data/misc/shields.spec b/data/misc/shields.spec
index f107b36d3e..1688272a5f 100644
--- a/data/misc/shields.spec
+++ b/data/misc/shields.spec
@@ -425,6 +425,7 @@ sprites =
 		"f.shield.polynesian", "flags/polynesian-shield"
 		"f.shield.pomerania", "flags/pomerania-shield"
 		"f.shield.portugal", "flags/portugal-shield"
+                "f.shield.poyais", "flags/poyais-shield"
 		"f.shield.prusai", "flags/prusai-shield"
 		"f.shield.prussia", "flags/prussia-shield"
 		"f.shield.puerto_rico", "flags/puerto_rico-shield"
diff --git a/data/nation/Makefile.am b/data/nation/Makefile.am
index 2e3bddf0ff..078ddce7ba 100644
--- a/data/nation/Makefile.am
+++ b/data/nation/Makefile.am
@@ -411,6 +411,7 @@ pkgdata_DATA = \
 		polynesian.ruleset \
 		pontic.ruleset \
 		portuguese.ruleset \
+		poyaisian.ruleset \
 		prussian.ruleset \
 		puertorican.ruleset \
 		purhepecha.ruleset \
diff --git a/data/nation/poyaisian.ruleset b/data/nation/poyaisian.ruleset
new file mode 100644
index 0000000000..bd82b9ea70
--- /dev/null
+++ b/data/nation/poyaisian.ruleset
@@ -0,0 +1,72 @@
+[nation_poyaisian]
+
+name   = _("Poyais")
+plural = _("Poyaisians")
+groups = "Imaginary"
+legend=_("Poyais is a totally real nation founded by Gregor MacGregor\
+ that lasted from 1821 to 1837 located in Central America, totally not a scam\
+ devised by MacGregor to sell people fake government bonds for land\
+ ill fit for farming.")
+
+leaders = {
+ "name",                           "sex"
+ "Gregor MacGregor",               "Male"   ; (1786-1845) Notorious conman and self-proclaimed Cazique of Poyais.
+ "Maria MacGregor",                "Female" ; (????-1811) First wife of Gregor MacGregor.
+ "Thomas Strangeways",             "Male"   ; Supposed author of Sketch of the Mosquito Shore, Including the Territory of Poyais.
+ "Louis-Michel Aury",              "Male"   ; (c. 1787-1821) Fought alongside Gregor at Amelia Island.
+ "Josefa MacGregor",               "Female" ; (????-1838) Second wife of Gregor MacGregor.
+ "Gregorio MacGregor",             "Male"   ; (1817-????) First child of Gregor MacGregor.
+ "Josefa Anna Gregoria MacGregor", "Female" ; (????-1872) Second child of Gregor MacGregor.
+ "Constantino MacGregor",          "Male"   ; (c. 1824-????) Third and final child of Gregor MacGregor.
+ "William John Richardson",        "Male"   ; Prominent supporter of Gregor MacGregor.
+ "Hector Hall",                    "Male"   ; Also called "Baron Tinto".
+ "George Woodbine",                "Male"   ; Supposed Vice-Cazique of Poyais.
+}
+
+ruler_titles = {
+ "government",      "male_title",          "female_title"
+ "Despotism",       _("General %s"),       _("?female:General %s")
+ "Republic",        _("Captain %s"),       _("?female:Captain %s")
+ "Monarchy",        _("Cazique %s"),       _("Cazica %s")
+}
+
+flag = "poyais"
+flag_alt = "-"
+style = "Celtic"
+
+init_techs = ""
+init_buildings = ""
+init_units = ""
+
+;conflicts_with =
+civilwar_nations = "miskito", "belize", "honduran", "nicaraguan"
+
+cities =
+  "St. Joseph",
+  "Amelia City",        ; Amelia City, Fort San Carlos, and Fernandina were all a part of the Republic of the Floridas,
+  "Fort San Carlos",    ; which is separate from Poyais; however, they are included here because the Republic and Poyais
+  "Fernandina (ocean)", ; shared a flag and were both founded by Gregor MacGregor.
+  "Porto Bello",
+  "Rio de la Hacha",
+  "Truxillo Harbour",
+  "Black River (river)",
+  "Lime House (river)",
+  "Bluefields Lagoon (ocean)",
+  "Cabbage Tree (forest)",
+  "Boco del Toro",
+  "Great Roman (river)",
+  "Salt River Lagoon (river, swamp)",
+  "Zachary Lyon (river)",
+  "Wanks (river)",
+  "Zongular (river)",
+  "Guanja",
+  "Swan Islands",
+  "Sierras de la Cruz (mountains)",
+  "Poyer Hills (hills)",
+  "Brewers Lagoon (!desert, hills, river)",
+  "Monkey Point",
+  "Boco del Drago",
+  "Warners Sound",
+  "Pearl Key",
+  "San Andreas",
+  "Old Providence"
diff --git a/meson.build b/meson.build
index 0d8b200673..34176d7ddc 100644
--- a/meson.build
+++ b/meson.build
@@ -1988,6 +1988,7 @@ nations = [
   'polynesian',
   'pontic',
   'portuguese',
+  'poyaisian',
   'prussian',
   'puertorican',
   'purhepecha',
@@ -2797,6 +2798,7 @@ flags = [
   'polynesian',
   'pomerania',
   'portugal',
+  'poyais',
   'prusai',
   'prussia',
   'puerto_rico',
-- 
2.43.0