From c890d3366cd26cafc4fb087238250fc71c0d7940 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 31 Aug 2024 07:31:13 +0300
Subject: [PATCH 25/25] Correct "hight" to "height"

See RM #816

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/gui-qt/citydlg.cpp          | 12 ++++++------
 client/gui-qt/citydlg.h            |  2 +-
 client/gui-sdl2/widget_edit.c      |  2 +-
 client/gui-sdl2/widget_scrollbar.h |  2 +-
 client/gui-sdl3/widget_edit.c      |  2 +-
 client/gui-sdl3/widget_scrollbar.h |  2 +-
 server/plrhand.c                   |  2 +-
 7 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/client/gui-qt/citydlg.cpp b/client/gui-qt/citydlg.cpp
index 7f75f080ab..48ee757e08 100644
--- a/client/gui-qt/citydlg.cpp
+++ b/client/gui-qt/citydlg.cpp
@@ -1205,10 +1205,10 @@ city_map::city_map(QWidget *parent): QWidget(parent)
   setParent(parent);
   radius = 0;
   wdth = get_citydlg_canvas_width();
-  hight = get_citydlg_canvas_height();
+  height = get_citydlg_canvas_height();
   cutted_width = wdth;
-  cutted_height = hight;
-  view = qtg_canvas_create(wdth, hight);
+  cutted_height = height;
+  view = qtg_canvas_create(wdth, height);
   view->map_pixmap.fill(Qt::black);
   miniview = qtg_canvas_create(0, 0);
   miniview->map_pixmap.fill(Qt::black);
@@ -1268,11 +1268,11 @@ void city_map::set_pixmap(struct city *pcity, float z)
     radius = r;
     qtg_canvas_free(miniview);
     cutted_width = wdth * (r + 1) / max_r;
-    cutted_height = hight * (r + 1) / max_r;
+    cutted_height = height * (r + 1) / max_r;
     cutted_width = qMin(cutted_width, wdth);
-    cutted_height = qMin(cutted_height, hight);
+    cutted_height = qMin(cutted_height, height);
     delta_x = (wdth - cutted_width) / 2;
-    delta_y = (hight - cutted_height) / 2;
+    delta_y = (height - cutted_height) / 2;
     miniview = qtg_canvas_create(cutted_width, cutted_height);
     miniview->map_pixmap.fill(Qt::black);
   }
diff --git a/client/gui-qt/citydlg.h b/client/gui-qt/citydlg.h
index eb1b596e1d..dc4be42fa0 100644
--- a/client/gui-qt/citydlg.h
+++ b/client/gui-qt/citydlg.h
@@ -286,7 +286,7 @@ private:
   int radius;
   float zoom;
   int wdth;
-  int hight;
+  int height;
   int cutted_width;
   int cutted_height;
   int delta_x;
diff --git a/client/gui-sdl2/widget_edit.c b/client/gui-sdl2/widget_edit.c
index d82a6ed786..73e2e3b8b4 100644
--- a/client/gui-sdl2/widget_edit.c
+++ b/client/gui-sdl2/widget_edit.c
@@ -136,7 +136,7 @@ static int redraw_edit_chain(struct text_edit *edt)
   if flag 'FW_DRAW_THEME_TRANSPARENT' is set theme will be blit
   transparent ( Alpha = 128 )
 
-  function return Hight of created surfaces or (-1) if theme surface can't
+  function return height of created surfaces or (-1) if theme surface can't
   be created.
 **************************************************************************/
 static int redraw_edit(struct widget *edit_widget)
diff --git a/client/gui-sdl2/widget_scrollbar.h b/client/gui-sdl2/widget_scrollbar.h
index 457ebbbc26..e075d6cbc1 100644
--- a/client/gui-sdl2/widget_scrollbar.h
+++ b/client/gui-sdl2/widget_scrollbar.h
@@ -77,7 +77,7 @@ Uint32 create_vertical_scrollbar(struct advanced_dialog *dlg,
                                  bool create_scrollbar, bool create_buttons);
 
 void setup_vertical_scrollbar_area(struct scroll_bar *scroll,
-                                   Sint16 start_x, Sint16 start_y, Uint16 hight,
+                                   Sint16 start_x, Sint16 start_y, Uint16 height,
                                    bool swap_start_x);
 
 void setup_vertical_scrollbar_default_callbacks(struct scroll_bar *scroll);
diff --git a/client/gui-sdl3/widget_edit.c b/client/gui-sdl3/widget_edit.c
index a3bd5b7d50..c68bf83359 100644
--- a/client/gui-sdl3/widget_edit.c
+++ b/client/gui-sdl3/widget_edit.c
@@ -132,7 +132,7 @@ static int redraw_edit_chain(struct text_edit *edt)
   if flag 'FW_DRAW_THEME_TRANSPARENT' is set theme will be blit
   transparent ( Alpha = 128 )
 
-  function return Hight of created surfaces or (-1) if theme surface can't
+  function return height of created surfaces or (-1) if theme surface can't
   be created.
 **************************************************************************/
 static int redraw_edit(struct widget *edit_widget)
diff --git a/client/gui-sdl3/widget_scrollbar.h b/client/gui-sdl3/widget_scrollbar.h
index 1b54196125..f3d6da2fb5 100644
--- a/client/gui-sdl3/widget_scrollbar.h
+++ b/client/gui-sdl3/widget_scrollbar.h
@@ -77,7 +77,7 @@ Uint32 create_vertical_scrollbar(struct advanced_dialog *dlg,
                                  bool create_scrollbar, bool create_buttons);
 
 void setup_vertical_scrollbar_area(struct scroll_bar *scroll,
-                                   Sint16 start_x, Sint16 start_y, Uint16 hight,
+                                   Sint16 start_x, Sint16 start_y, Uint16 height,
                                    bool swap_start_x);
 
 void setup_vertical_scrollbar_default_callbacks(struct scroll_bar *scroll);
diff --git a/server/plrhand.c b/server/plrhand.c
index 715b9f79dc..4af2a0dc44 100644
--- a/server/plrhand.c
+++ b/server/plrhand.c
@@ -2947,7 +2947,7 @@ bool civil_war_possible(struct player *pplayer, bool conquering_city,
    * In addition each city in disorder adds and each celebrating city
   subtracts from the probability of a civil war.
    * If you have at least 1 turns notice of the impending loss of
-  your capital, you can hike luxuries up to the hightest value,
+  your capital, you can hike luxuries up to the highest value,
   and by this reduce the chance of a civil war. In fact by
   hiking the luxuries to 100% under Democracy, it is easy to
   get massively negative numbers - guaranteeing imunity from
-- 
2.45.2